Package com.independentsoft.office.diagrams

# Class StyleLabel

java.lang.Object
com.independentsoft.office.diagrams.StyleLabel

public class StyleLabel extends Object
The Class StyleLabel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StyleLabel()`
  Instantiates a new style label.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StyleLabel`
  `clone()`
  `String`
  `getName()`
  Gets the name.
  `Scene3D`
  `getScene3D()`
  Gets the scene3 d.
  `Shape3D`
  `getShape3D()`
  Gets the shape3 d.
  `ShapeStyle`
  `getStyle()`
  Gets the style.
  `TextProperties`
  `getTextProperties()`
  Gets the text properties.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setScene3D​(Scene3D scene3d)`
  Sets the scene3 d.
  `void`
  `setShape3D​(Shape3D shape3d)`
  Sets the shape3 d.
  `void`
  `setStyle​(ShapeStyle style)`
  Sets the style.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StyleLabel

    public StyleLabel()
    Instantiates a new style label.

- ## Method Details

  - ### clone

    public StyleLabel clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getScene3D

    public Scene3D getScene3D()
    Gets the scene3 d.
    Returns:
      the scene3 d

  - ### setScene3D

    public void setScene3D​(Scene3D scene3d)
    Sets the scene3 d.
    Parameters:
      `scene3d` - the new scene3 d

  - ### getShape3D

    public Shape3D getShape3D()
    Gets the shape3 d.
    Returns:
      the shape3 d

  - ### setShape3D

    public void setShape3D​(Shape3D shape3d)
    Sets the shape3 d.
    Parameters:
      `shape3d` - the new shape3 d

  - ### getStyle

    public ShapeStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(ShapeStyle style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### getTextProperties

    public TextProperties getTextProperties()
    Gets the text properties.
    Returns:
      the text properties

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name